Skip to main content
GET
Get Proof Status

Authorizations

Axiom-API-Key
string
header
required

Path Parameters

proof_id
string
required

Response

Proof details retrieved successfully

User-facing proof response model.

id
string
required
created_at
string
required
state
enum<string>
required
Available options:
Queued,
Executing,
Executed,
AppProving,
AppProvingDone,
PostProcessing,
Failed,
Succeeded,
Canceling,
Canceled
proof_type
enum<string>
required
Available options:
app,
stark,
evm
program_uuid
string
required
launched_at
string
required
terminated_at
string
required
created_by
string
required
cells_used
integer
required
cost
integer | null
required
machine_type
string
required
num_gpus
integer
required
priority
integer
required
error_message
string | null

Error message if the proof failed

Example:

""

proof_size
integer | null

Proof size in bytes

num_instructions
integer | null

Number of instructions executed

num_deferred_proofs
integer
default:0

Number of child stark proofs uploaded with the submission and folded into this job's verify_stark deferral circuit; 0 for a normal no-deferral job